Item Set Finder error

Hi,

I'm update KNIME for the 2.3.0 version and has now error for "Item Set Finder" node:

 

ERROR ItemSetMinerNodeModel ERROR: external executable failed (error code 2)
ERROR ItemSetMinerNodeModel /tmp/APRIORI: 1: ELF: not found
/tmp/APRIORI: 2: Syntax error: ")" unexpected
ERROR ItemSetMinerNodeModel ERROR: external executable failed (error code 2)
ERROR ItemSetMinerNodeModel /tmp/APRIORI: 1: ELF: not found
/tmp/APRIORI: 2: Syntax error: ")" unexpected
 
or the same with other algorithms.
Can I do something in this case?
Best regards,
Max.

Hi Max,

could you please give some more information on the operation system (linux/windows/...)  (32bit/64bit) you are working with.

Thanks,

Tobias

Yes, of course: Ubuntu 10.10, 32 bit. 

Hi Max,

I suppose that is a problem with the 32 bit version. The shipped executeables are compiled on a 64 bit system. In order to use the algorithms on a 32 bit system you have to replace the linux rebuild the linux executables.

The source code of all algorithms is located in the resources/source folder of theorg.knime.ext.itemset plugin which is located in the plugins folder of your KNIME installation. In order to create an executable from the source files extract the desired algorithm e.g. aprioir_v_5_14.zip. Go to the folder apriori/src. Call make to execute the makefile that builds the source code. Once make has finished you can find a new executable called apriori in the src folder. Copy this executeable into the resources/executables/linux folder and override the existing apriori executable.

Sorry for these inconveniences. We plan to include both 32bit and 64bit executables in the next version of this plugin and have the plugin detecting the right version.

I hope this fixes your problems.

Tobias

Yes, Tobias, it's work fine. I test this on Apriori.

Thank you very much!

By the way, I try to make other algorithms. There are errors with jim and  sam. All others compiled well.

Best regards, Max

... for the next KNIME version, we will include the Linux (32bit) and Mac executables as well.

Regards, Thomas

We have just released version 2.3.1 that includes the 32bit Linux executeables as well as Mac executeables. For all changes see http://tech.knime.org/changelog-v231

Bye, Tobias